
package eu.europa.ec.dgt.mtatec;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;
import eu.europa.ec.dgt.mtatec.types.InboundSimpleProxyMessage;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "InboundSimpleConnectorService", targetNamespace = "http://mtatec.dgt.ec.europa.eu/")
@XmlSeeAlso({
    eu.europa.ec.dgt.mtatec.ObjectFactory.class,
    eu.europa.ec.dgt.mtatec.types.ObjectFactory.class
})
public interface InboundSimpleConnectorService {


    /**
     * 
     * @param arg0
     * @return
     *     returns java.lang.String
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "asktranslation", targetNamespace = "http://mtatec.dgt.ec.europa.eu/", className = "eu.europa.ec.dgt.mtatec.Asktranslation")
    @ResponseWrapper(localName = "asktranslationResponse", targetNamespace = "http://mtatec.dgt.ec.europa.eu/", className = "eu.europa.ec.dgt.mtatec.AsktranslationResponse")
    public String asktranslation(
        @WebParam(name = "arg0", targetNamespace = "")
        InboundSimpleProxyMessage arg0);

}
